Program SimulerStyretSystem1;

Type
   SystemDataType = Record
   end;

{-----------------------------------------------------------}
{ Initiering af System ved opstart                          }
{-----------------------------------------------------------}
Procedure InitSystem ( Var S: SystemDataType );
begin
end;

{----------------------------------------------------------}
{ Beregning af et system-trin (ny output ved sampling)     }
{----------------------------------------------------------}
Procedure System ( Var S: SystemDataType;
                   Rn: Real; Var Cn: Real);
Var
   Rn_1:  Real;

begin

   Rn_1 := Rn;     { BEMRK der gr en sampling fr  }
                   { processen er slut og ny output  }
                   { kan beregnes                    }

   Cn := Rn_1;     { Beregn ny output }

end;

{-----------------------------------------------------------}
{  Simulering af styret system med proportionalcontrol      }
{-----------------------------------------------------------}
Var
   SData:       SystemDataType;
   Reference:   Real;          { = Systeminput }
   SOutput:     Real;
   Sampling:    Integer;
   AntalSampl:  Integer;
   DataLog:     Text;

Begin
   Assign(DataLog,'Datalog.PRN');
   Rewrite(DataLog);

   SOutput := 0;
   InitSystem (SData);

   WriteLN('Indtast antal nskede samplinger:');
   ReadLN(AntalSampl);

   For Sampling := 0 to AntalSampl do begin
      Write(Sampling,' Indtast referencevrdi:');
      ReadLN(Reference);
      WriteLN(DataLog, Sampling:4, SOutput:20, Reference:20);
      System (SData ,Reference, SOutput);
   End;
   Close(DataLog);
End.
